feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Frontend.Fractional

Synopsis

- class (Fractional a, Numeric a) => Fraction a where
  - fromRationalFrac :: Rational -> Data a
  - divFrac :: Data a -> Data a -> Data a

# Documentation

class (Fractional a, Numeric a) => Fraction a where

Fractional types. The relation to the standard `Fractional` class is

    instance Fraction a => Fractional (Data a)

Methods

fromRationalFrac :: Rational -> Data a

divFrac :: Data a -> Data a -> Data a

Instances

Fraction Float |
(Fraction a, RealFloat a) => Fraction (Complex a) |